aboutsummaryrefslogtreecommitdiffstats
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..2e719ac
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+
+install-info --quiet --section "Development" "Development" \
+ --description="The SLIB portable Scheme library" \
+ /usr/share/info/slib.info.gz
+
+# OK. This is bad because it really should be in the guile config or in some
+# emacs-commond sort of package.
+#/usr/sbin/slibconfig
+
+if [ "$1" = "configure" ]; then
+ if [ -d /usr/doc -a ! -e /usr/doc/slib -a -d /usr/share/doc/slib ]; then
+ ln -sf ../share/doc/slib /usr/doc/slib
+ fi
+fi
+